thyme-0.3.5.5: A faster time library

Safe Haskell | None
Language | Haskell2010

Data.Thyme.Format.Human

Synopsis

- humanTimeDiff :: TimeDiff d => d -> String
- humanTimeDiffs :: TimeDiff d => d -> ShowS
- humanRelTime :: UTCTime -> UTCTime -> String
- humanRelTimes :: UTCTime -> UTCTime -> ShowS

# Documentation

humanTimeDiff :: TimeDiff d => d -> String Source #

Display `DiffTime` or `NominalDiffTime` in a human-readable form.

humanTimeDiffs :: TimeDiff d => d -> ShowS Source #

Display `DiffTime` or `NominalDiffTime` in a human-readable form.

humanRelTime :: UTCTime -> UTCTime -> String Source #

Display one `UTCView` relative to another, in a human-readable form.

humanRelTimes :: UTCTime -> UTCTime -> ShowS Source #

Display one `UTCView` relative to another, in a human-readable form.